libmongo-client-dev_0.1.8-1_i386.deb


Advertisement

Description

libmongo-client-dev - Development files for the alternate C driver for MongoDB

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libmongo-client-dev
Package version: 0.1.8
Package release: 1
Package architecture: i386
Package type: deb
Installed size: 233 B
Download size: 43.42 KB
Official Mirror: ftp.br.debian.org
libmongo-client is an alternative C language driver to the MongoDB document-oriented datastore. This package is needed to compile programs against libmongo-client0, as only it includes the header files and static libraries needed for compiling.

Alternatives

    Download

    Source package: libmongo-client

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libmongo-client-dev deb package:
      # sudo apt-get install libmongo-client-dev

    Files

    • /usr/include/mongo-client/bson.h
    • /usr/include/mongo-client/mongo-client.h
    • /usr/include/mongo-client/mongo-sync-cursor.h
    • /usr/include/mongo-client/mongo-sync-pool.h
    • /usr/include/mongo-client/mongo-sync.h
    • /usr/include/mongo-client/mongo-utils.h
    • /usr/include/mongo-client/mongo-wire.h
    • /usr/include/mongo-client/mongo.h
    • /usr/include/mongo-client/sync-gridfs-chunk.h
    • /usr/include/mongo-client/sync-gridfs-stream.h
    • /usr/include/mongo-client/sync-gridfs.h
    • /usr/lib/i386-linux-gnu/libmongo-client.a
    • /usr/lib/i386-linux-gnu/libmongo-client.so
    • /usr/lib/i386-linux-gnu/pkgconfig/libmongo-client.pc
    • /usr/share/doc/libmongo-client-dev

    Changelog

    2014-05-22 - Gergely Nagy <algernon@madhouse-project.org> libmongo-client (0.1.8-1) unstable; urgency=medium * New upstream release. * debian/symbols updated with the new LMC_0.1.8 version tag. * debian/copyright updated to include 2014 in copyright years. * debian/rules updated to drop --with-versioned-symbols: it is automatically enabled now, if supported.

    2014-03-14 - Gergely Nagy <algernon@madhouse-project.org> libmongo-client (0.1.7.1-1) unstable; urgency=medium * New upstream release. + Improves the roboustness of safe mode.

    2013-12-15 - Gergely Nagy <algernon@madhouse-project.org> libmongo-client (0.1.7-1) unstable; urgency=low * New upstream release. + Automatic re-authentication support, even when using automatic failover with replicasets. * debian/symbols updated with the new LMC_0.1.7 version tag.

    2013-11-05 - Gergely Nagy <algernon@madhouse-project.org> libmongo-client (0.1.6.3-2) unstable; urgency=low * debian/copyright: Point to /usr/share/common-licenses/Apache-2.0 for the full text of the license. (Thanks, lintian!) * Bumped Standards-Version to 3.9.5, no changed necessary.

    2013-08-27 - Gergely Nagy <algernon@madhouse-project.org> libmongo-client (0.1.6.3-1) unstable; urgency=low * New upstream release. + Fixed chunked GridFS file retrieval, to keep the chunk order. + Fixed a crash that happened when verification in safe-mode failed. * Bumped Standards-Version to 3.9.4, no changes necessary. * debian/copyright: Updated the copyright years.

    2012-12-21 - Gergely Nagy <algernon@madhouse-project.org> libmongo-client (0.1.6.2-1) unstable; urgency=low * New upstream release. + Minor memory leak fix in the GridFS code + Support for the obsolete Binary subtype in GridFS files + Documentation improvements * Don't muck with m4/ during build, it is included upstream now.

    2012-10-20 - Gergely Nagy <algernon@madhouse-project.org> libmongo-client (0.1.6.1-3) unstable; urgency=low * Make libmongo-client-dev depend on libglib2.0-dev. Thanks Michael Biebl. (Closes: #690992)

    2012-10-15 - Gergely Nagy <algernon@madhouse-project.org> libmongo-client (0.1.6.1-2) unstable; urgency=low * Really build with verbose messages enabled, the test suite too. * Install and clean the m4/ directory too during build, to make backporting easier.

    2012-10-14 - Gergely Nagy <algernon@madhouse-project.org> libmongo-client (0.1.6.1-1) unstable; urgency=low * New upstream bugfix release. + Restores ABI compatibility with versions prior to 0.1.6.

    2012-10-14 - Gergely Nagy <algernon@madhouse-project.org> libmongo-client (0.1.6-1) unstable; urgency=low * New upstream release. * Build with verbose messages enabled. * Use xz compression for source & binaries too.

    Advertisement
    Advertisement